@ECHO OFF

::
:: Batch script to launch the perfagent command.
::

if not !%JVMSTAT_HOME%==! GOTO HOMESET

:: get the full path name in short path form
SET SCRIPT_DIR=%~fs0%

:: substitute \bat\<cmd> with null to get the jvmstat home directory
SET JVMSTAT_HOME=%SCRIPT_DIR:\bat\PERFAG~1.cmd=%

:HOMESET

SET PERF_JAR=%JVMSTAT_HOME%\classes\perf.jar
SET PERFAGENTSTUBS_JAR=%JVMSTAT_HOME%\classes\perfagentstubs.jar
SET PERFAGENT_JAR=%JVMSTAT_HOME%\classes\perfagent.jar

SET DEFAULT_POLICY=%JVMSTAT_HOME%\policies\PerfAgent.policy
SET USE_POLICY=%PERFAGENT_POLICY%

:: used to set the jvmstat.hostname property, which is used by
:: the PerfAgentTrustedHost.policy policy file to limit access
:: to the local host.
SET JVMSTAT_HOSTNAME=%COMPUTERNAME%

if !%PERFAGENT_POLICY%==! SET USE_POLICY=%DEFAULT_POLICY%

if not exist %USE_POLICY% GOTO EXITERR

:: %0 no longer needed, so shift it out to allow one more
:: parameter. %* is available in winnt and later, but doesn't
:: work in earlier windows environemnts.
::
shift

:: Launch the command
::
start javaw %D64% %SERVER% %VMARGS% -Djava.security.policy=%USE_POLICY% -Djava.rmi.server.codebase="file:/%PERF_JAR% file:/%PERFAGENT_STUBS_JAR%" -Djvmstat.hostname=%JVMSTAT_HOSTNAME% -jar %PERFAGENT_JAR% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9

goto EXIT0


:EXITERR
echo Policy File not found: %PERFAGENT_POLICY%


:EXIT0

:: Unset any environment variables set in this script
::
if !%SCRIPT_DIR%==! GOTO EXIT1
:: only unset these if they were set above
SET SCRIPT_DIR=
SET JVMSTAT_HOME=

:EXIT1
SET PERF_JAR=
SET PERFAGENTSTUBS_JAR=
SET PERFAGENT_JAR=
SET DEFAULT_POLICY=
SET USE_POLICY=
SET JVMSTAT_HOSTNAME=
